LoggingManager (Gradle API 2.14.1)

Package: org.gradle.api.logging

## [Java] Interface LoggingManager

- org.gradle.api.logging.LoggingManager

- All Superinterfaces:
    LoggingOutput

  A `LoggingManager` provides access to and control over the Gradle logging system. Using this interface, you can control the current logging level and standard output and error capture.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `LoggingManager` | `captureStandardError(LogLevel level)` Requests that output written to System.err be routed to Gradle's logging system.
    `LoggingManager` | `captureStandardOutput(LogLevel level)` Requests that output written to System.out be routed to Gradle's logging system.
    `LogLevel` | `getLevel()` Returns the current logging level.
    `LogLevel` | `getStandardErrorCaptureLevel()` Returns the log level that output written to System.err will be mapped to.
    `LogLevel` | `getStandardOutputCaptureLevel()` Returns the log level that output written to System.out will be mapped to.
    `LoggingManager` | `setLevel(LogLevel logLevel)` Sets the minimum logging level.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface LoggingOutput` | `addStandardErrorListener, addStandardOutputListener, removeStandardErrorListener, removeStandardOutputListener`

- - ### Method Detail

    - #### public LoggingManager captureStandardError(LogLevel level)

      Requests that output written to System.err be routed to Gradle's logging system. The default is that System.err is routed to LogLevel.ERROR.

      Parameters:
        `level` - The log level to route System.err to.
      Returns:
        this

    - #### public LoggingManager captureStandardOutput(LogLevel level)

      Requests that output written to System.out be routed to Gradle's logging system. The default is that System.out is routed to LogLevel.QUIET

      Parameters:
        `level` - The log level to route System.out to.
      Returns:
        this

    - #### public LogLevel getLevel()

      Returns the current logging level.

      Returns:
        The current logging level.

    - #### public LogLevel getStandardErrorCaptureLevel()

      Returns the log level that output written to System.err will be mapped to.

      Returns:
        The log level. Returns null when standard error capture is disabled.

    - #### public LogLevel getStandardOutputCaptureLevel()

      Returns the log level that output written to System.out will be mapped to.

      Returns:
        The log level. Returns null when standard output capture is disabled.

    - #### @Deprecated public LoggingManager setLevel(LogLevel logLevel)

      Sets the minimum logging level. All messages at a lower level are discarded.

      Parameters:
        `logLevel` - The minimum logging level.
      Returns:
        this